# Dockerfile used by OSBS and by prow CI.
FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202012050130.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202012050130.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1cbb5d5 OS_GIT_VERSION=4.6.0-202012050130.p0-1cbb5d5 SOURCE_DATE_EPOCH=1601384218 SOURCE_GIT_COMMIT=1cbb5d5a81a80c2f996b4c9045a3cc85650cdfd7 SOURCE_GIT_TAG=v0.20.0-2106-g1cbb5d5a SOURCE_GIT_URL=https://github.com/openshift/prometheus-operator 
WORKDIR /go/src/github.com/coreos/prometheus-operator
COPY . .
ENV GO111MODULE=on
ENV GOFLAGS="-mod=vendor"
RUN OS=$(go env GOOS) ARCH=$(go env GOARCH) make operator-no-deps

FROM openshift/ose-base:v4.6.0.20201205.020108
ENV __doozer=update BUILD_RELEASE=202012050130.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202012050130.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1cbb5d5 OS_GIT_VERSION=4.6.0-202012050130.p0-1cbb5d5 SOURCE_DATE_EPOCH=1601384218 SOURCE_GIT_COMMIT=1cbb5d5a81a80c2f996b4c9045a3cc85650cdfd7 SOURCE_GIT_TAG=v0.20.0-2106-g1cbb5d5a SOURCE_GIT_URL=https://github.com/openshift/prometheus-operator 

COPY --from=builder /go/src/github.com/coreos/prometheus-operator/operator /usr/bin/
# doesn't require a root user.
USER 1001
ENTRYPOINT ["/usr/bin/operator"]

LABEL \
        io.k8s.display-name="Prometheus Operator" \
        io.k8s.description="This component manages the lifecycle and configuration of a Prometheus monitoring server as well as Prometheus Alertmanager clusters." \
        io.openshift.tags="prometheus" \
        summary="This component manages the lifecycle and configuration of a Prometheus monitoring server as well as Prometheus Alertmanager clusters." \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-prometheus-operator" \
        com.redhat.component="prometheus-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202012050130.p0" \
        io.openshift.build.commit.id="1cbb5d5a81a80c2f996b4c9045a3cc85650cdfd7" \
        io.openshift.build.source-location="https://github.com/openshift/prometheus-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/prometheus-operator/commit/1cbb5d5a81a80c2f996b4c9045a3cc85650cdfd7" \
        version="v4.6.0"

